# $Revision: 1.11 $, $Date: 2005/02/23 15:18:59 $

%define		zope_subname	LocalFS
Summary:	This product allows you to store Zope objects as human-readable files
Summary(pl):	Dodatek umoliwiajcy praktyczniejsze przetrzymywanie obiektw Zope
Name:		Zope-%{zope_subname}
Version:	1.6
Release:	1
License:	Distributable
Group:		Development/Tools
Source0:	http://www.easyleading.org/Downloads/%{zope_subname}-%{version}-andreas.tar.gz
# Source0-md5:	0196bdc5df0797cd33f5297b5a52c2f8
URL:		http://www.easyleading.org/Members/Eddy/LocalFS-1.6-andreas/
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	Zope
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This product allows you to store Zope objects as human-readable files
in the local file system.

%description -l pl
Dodatek dla Zope umoliwiajcy przetrzymywanie obiektw Zope w
lokalnym systemie plikw.

%prep
%setup -q -n %{zope_subname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {Extensions,dtml,help,www,*.py,version.txt,refresh.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README TODO
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-LocalFS.spec,v $
Revision 1.11  2005/02/23 15:18:59  ciesiel
- upgraded to version 1.6

Revision 1.10  2005/01/13 06:39:55  ankry
- spaces -> tabs

Revision 1.9  2005/01/12 21:11:06  ciesiel
- added BR: python

Revision 1.8  2004/12/26 18:55:38  saq
- release 2 for rebuild with python 2.4

Revision 1.7  2004/10/30 11:23:29  paladine
- one more tab :)

Revision 1.6  2004/10/30 11:21:15  paladine
- spaces->tabs

Revision 1.5  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2004/06/22 16:22:06  ciesiel
- removed warning

Revision 1.3  2004/06/22 15:59:24  ciesiel
- upgraded to version 1.3

Revision 1.2  2004/01/03 13:37:24  ciesiel
- added warning :)

Revision 1.1  2004/01/03 12:24:42  ciesiel
- initial release
